﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp3
{
   
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraPanel1.DrawFilter = new DrawFilter();
        }
    }
    public class DrawFilter : IUIElementDrawFilter
    {
        Pen borderPen = new Pen(Color.DarkGoldenrod, 15);
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            // If the element being drawn is a ControlUIElementBase
            // we're interested in drawing its borders only.
            Rectangle elementRect = drawParams.Element.Rect;
            drawParams.Graphics.DrawLine(this.borderPen,
              elementRect.Location,
              new Point(elementRect.Right, elementRect.Top));
            // Return true to prevent the element from drawing
            // its borders normally.
            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is ControlUIElementBase)
                return DrawPhase.BeforeDrawElement;
            return DrawPhase.None;
        }
    }
}
